glab(1)

NAME

glab-schedule-create - Schedule a new pipeline.

SYNOPSIS

glab schedule create [flags]

DESCRIPTION

Schedule a new pipeline.

OPTIONS

--active[=true]
    Whether or not the schedule is active

--cron=""
    Cron interval pattern

--cronTimeZone="UTC"
    Cron timezone

--description=""
    Description of the schedule

--ref=""
    Target branch or tag

--variable=[]
    Pass variables to schedule in format :

OPTIONS INHERITED FROM PARENT COMMANDS

--help[=false]
    Show help for command

-R, --repo=""
    Select another repository using the OWNER/REPO or GROUP/NAMESPACE/REPO format or full URL or git URL

EXAMPLE
    glab schedule create --cron "0 * * * *" --description "Describe your pipeline here" --ref "main" --variable "foo:bar" --variable "baz:baz"

SEE ALSO

glab-schedule(1)